---
search:
  tags:
    - Games
    - GET
seo:
  description: >-
    Lists the recorded events for a game the key owner may view (their own, one…
    Reference for the GET /games/{id}/events endpoint in the dartpilot Public
    API.
sidebar:
  label: List game events
  badge: GET
title: List game events
type: openapi-operation
---
Lists the recorded events for a game the key owner may view (their own, one they participate in, a friend's, or a public game), oldest first.

`GET /games/{id}/events`

**Responses**

- `200` — A page of game events.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.
- `502` — Failed to load game events.

Response example, 200:

```json
{
  "items": [
    {
      "seq": 0,
      "type": "string",
      "payload": {
        "property1": null,
        "property2": null
      },
      "createdAt": "string"
    }
  ],
  "paging": {
    "nextCursor": "string"
  }
}
```
